public inbox for elfutils@sourceware.org
 help / color / mirror / Atom feed
* [PATCH] Skip run-readelf-compressed.sh test if built without bzip2
@ 2019-01-09 13:31 Ulf Hermann
  2019-01-13 22:23 ` Mark Wielaard
  0 siblings, 1 reply; 5+ messages in thread
From: Ulf Hermann @ 2019-01-09 13:31 UTC (permalink / raw)
  To: elfutils-devel

Obviously, we cannot read the compressed ELF file if no bzip2 support is
present.

Signed-off-by: Ulf Hermann <ulf.hermann@qt.io>
---
  tests/run-readelf-compressed.sh | 5 +++++
  1 file changed, 5 insertions(+)

diff --git a/tests/run-readelf-compressed.sh 
b/tests/run-readelf-compressed.sh
index a2a04a2a..861553fe 100755
--- a/tests/run-readelf-compressed.sh
+++ b/tests/run-readelf-compressed.sh
@@ -17,6 +17,11 @@

  . $srcdir/test-subr.sh

+if ! grep -q -F '#define USE_BZLIB' ${abs_top_builddir}/config.h; then
+  echo "elfutils built without bzip2 support"
+  exit 77
+fi
+
  # See run-strip-reloc.sh
  testfiles hello_i386.ko

-- 
2.11.0


^ permalink raw reply	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2019-01-16 17:08 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-01-09 13:31 [PATCH] Skip run-readelf-compressed.sh test if built without bzip2 Ulf Hermann
2019-01-13 22:23 ` Mark Wielaard
2019-01-14  8:27   ` Ulf Hermann
2019-01-16 16:25     ` Mark Wielaard
2019-01-16 17:08       ` Frank Ch. Eigler

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).